aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--.github/workflows/build.yaml1
-rwxr-xr-xcommon/travis/fetch-xbps.sh22
2 files changed, 23 insertions, 0 deletions
diff --git a/.github/workflows/build.yaml b/.github/workflows/build.yaml
index eb96a151c59..5ca5de2244d 100644
--- a/.github/workflows/build.yaml
+++ b/.github/workflows/build.yaml
@@ -19,6 +19,7 @@ jobs:
fetch-depth: 200
- run: common/travis/fetch_upstream.sh
- run: common/travis/changed_templates.sh
+ - run: common/travis/fetch-xbps.sh
- run: common/travis/fetch-xtools.sh
- run: common/travis/xlint.sh
# GitHub Action create a merge commit, ignore it
diff --git a/common/travis/fetch-xbps.sh b/common/travis/fetch-xbps.sh
new file mode 100755
index 00000000000..5a4e458cf56
--- /dev/null
+++ b/common/travis/fetch-xbps.sh
@@ -0,0 +1,22 @@
+#!/bin/sh
+#
+# fetch-xbps.sh
+
+command -v xbps-uhelper >/dev/null && exit
+TAR=tar
+command -v bsdtar >/dev/null && TAR=bsdtar
+ARCH=$(uname -m)-musl
+VERSION=0.59_5
+URL="https://alpha.de.repo.voidlinux.org/static/xbps-static-static-${VERSION}.${ARCH}.tar.xz"
+FILE=${URL##*/}
+
+mkdir -p /tmp/bin
+
+/bin/echo -e '\x1b[32mInstalling xbps...\x1b[0m'
+if command -v wget >/dev/null; then
+ wget -q -O "$FILE" "$URL" || exit 1
+else
+ curl -s -o "$FILE" "$URL" || exit 1
+fi
+
+$TAR xf "$FILE" -C /tmp/bin --strip-components=3 ./usr/bin || exit 1